SessionConfig (Apache Tomcat 8.5.84 API Documentation)

Package org.apache.tomcat.util.descriptor.web

## Class SessionConfig

- java.lang.Object
- - org.apache.tomcat.util.descriptor.web.SessionConfig

-     public class SessionConfig
      extends java.lang.Object

  Representation of a session configuration element for a web application, as represented in a `<session-config>` element in the deployment descriptor.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SessionConfig()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addSessionTrackingMode​(java.lang.String sessionTrackingMode)` |
    `java.lang.String` | `getCookieComment()` |
    `java.lang.String` | `getCookieDomain()` |
    `java.lang.Boolean` | `getCookieHttpOnly()` |
    `java.lang.Integer` | `getCookieMaxAge()` |
    `java.lang.String` | `getCookieName()` |
    `java.lang.String` | `getCookiePath()` |
    `java.lang.Boolean` | `getCookieSecure()` |
    `java.lang.Integer` | `getSessionTimeout()` |
    `java.util.EnumSet<SessionTrackingMode>` | `getSessionTrackingModes()` |
    `void` | `setCookieComment​(java.lang.String cookieComment)` |
    `void` | `setCookieDomain​(java.lang.String cookieDomain)` |
    `void` | `setCookieHttpOnly​(java.lang.String cookieHttpOnly)` |
    `void` | `setCookieMaxAge​(java.lang.String cookieMaxAge)` |
    `void` | `setCookieName​(java.lang.String cookieName)` |
    `void` | `setCookiePath​(java.lang.String cookiePath)` |
    `void` | `setCookieSecure​(java.lang.String cookieSecure)` |
    `void` | `setSessionTimeout​(java.lang.String sessionTimeout)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SessionConfig

          public SessionConfig()

  - ### Method Detail

    - #### getSessionTimeout

          public java.lang.Integer getSessionTimeout()

    - #### setSessionTimeout

          public void setSessionTimeout​(java.lang.String sessionTimeout)

    - #### getCookieName

          public java.lang.String getCookieName()

    - #### setCookieName

          public void setCookieName​(java.lang.String cookieName)

    - #### getCookieDomain

          public java.lang.String getCookieDomain()

    - #### setCookieDomain

          public void setCookieDomain​(java.lang.String cookieDomain)

    - #### getCookiePath

          public java.lang.String getCookiePath()

    - #### setCookiePath

          public void setCookiePath​(java.lang.String cookiePath)

    - #### getCookieComment

          public java.lang.String getCookieComment()

    - #### setCookieComment

          public void setCookieComment​(java.lang.String cookieComment)

    - #### getCookieHttpOnly

          public java.lang.Boolean getCookieHttpOnly()

    - #### setCookieHttpOnly

          public void setCookieHttpOnly​(java.lang.String cookieHttpOnly)

    - #### getCookieSecure

          public java.lang.Boolean getCookieSecure()

    - #### setCookieSecure

          public void setCookieSecure​(java.lang.String cookieSecure)

    - #### getCookieMaxAge

          public java.lang.Integer getCookieMaxAge()

    - #### setCookieMaxAge

          public void setCookieMaxAge​(java.lang.String cookieMaxAge)

    - #### getSessionTrackingModes

          public java.util.EnumSet<SessionTrackingMode> getSessionTrackingModes()

    - #### addSessionTrackingMode

          public void addSessionTrackingMode​(java.lang.String sessionTrackingMode)